*** ./src/backend/utils/misc/guc.c.orig	Mon Apr 12 14:25:35 2004
--- ./src/backend/utils/misc/guc.c	Sun Apr 18 11:18:07 2004
***************
*** 371,377 ****
  	{
  		{"enable_seqscan", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of sequential-scan plans."),
! 			NULL
  		},
  		&enable_seqscan,
  		true, NULL, NULL
--- 371,377 ----
  	{
  		{"enable_seqscan", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of sequential-scan plans."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&enable_seqscan,
  		true, NULL, NULL
***************
*** 379,385 ****
  	{
  		{"enable_indexscan", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of index-scan plans."),
! 			NULL
  		},
  		&enable_indexscan,
  		true, NULL, NULL
--- 379,385 ----
  	{
  		{"enable_indexscan", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of index-scan plans."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&enable_indexscan,
  		true, NULL, NULL
***************
*** 387,393 ****
  	{
  		{"enable_tidscan", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of TID scan plans."),
! 			NULL
  		},
  		&enable_tidscan,
  		true, NULL, NULL
--- 387,393 ----
  	{
  		{"enable_tidscan", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of TID scan plans."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&enable_tidscan,
  		true, NULL, NULL
***************
*** 395,401 ****
  	{
  		{"enable_sort", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of explicit sort steps."),
! 			NULL
  		},
  		&enable_sort,
  		true, NULL, NULL
--- 395,401 ----
  	{
  		{"enable_sort", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of explicit sort steps."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&enable_sort,
  		true, NULL, NULL
***************
*** 403,409 ****
  	{
  		{"enable_hashagg", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of hashed aggregation plans."),
! 			NULL
  		},
  		&enable_hashagg,
  		true, NULL, NULL
--- 403,409 ----
  	{
  		{"enable_hashagg", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of hashed aggregation plans."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&enable_hashagg,
  		true, NULL, NULL
***************
*** 411,417 ****
  	{
  		{"enable_nestloop", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of nested-loop join plans."),
! 			NULL
  		},
  		&enable_nestloop,
  		true, NULL, NULL
--- 411,417 ----
  	{
  		{"enable_nestloop", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of nested-loop join plans."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&enable_nestloop,
  		true, NULL, NULL
***************
*** 419,425 ****
  	{
  		{"enable_mergejoin", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of merge join plans."),
! 			NULL
  		},
  		&enable_mergejoin,
  		true, NULL, NULL
--- 419,425 ----
  	{
  		{"enable_mergejoin", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of merge join plans."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&enable_mergejoin,
  		true, NULL, NULL
***************
*** 427,433 ****
  	{
  		{"enable_hashjoin", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of hash join plans."),
! 			NULL
  		},
  		&enable_hashjoin,
  		true, NULL, NULL
--- 427,433 ----
  	{
  		{"enable_hashjoin", PGC_USERSET, QUERY_TUNING_METHOD,
  			gettext_noop("Enables the planner's use of hash join plans."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&enable_hashjoin,
  		true, NULL, NULL
***************
*** 436,442 ****
  		{"geqo", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("Enables genetic query optimization."),
  			gettext_noop("This algorithm attempts to do planning without "
! 						 "exhaustive searching.")
  		},
  		&enable_geqo,
  		true, NULL, NULL
--- 436,443 ----
  		{"geqo", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("Enables genetic query optimization."),
  			gettext_noop("This algorithm attempts to do planning without "
! 						 "exhaustive searching."),
! 			GUC_EMPTY_FLAGS
  		},
  		&enable_geqo,
  		true, NULL, NULL
***************
*** 454,460 ****
  	{
  		{"ssl", PGC_POSTMASTER, CONN_AUTH_SECURITY,
  			gettext_noop("Enables SSL connections."),
! 			NULL
  		},
  		&EnableSSL,
  		false, NULL, NULL
--- 455,461 ----
  	{
  		{"ssl", PGC_POSTMASTER, CONN_AUTH_SECURITY,
  			gettext_noop("Enables SSL connections."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&EnableSSL,
  		false, NULL, NULL
***************
*** 465,471 ****
  			gettext_noop("The server will use the fsync() system call in several places to make "
  						 "sure that updates are physically written to disk. This insures "
  						 "that a database cluster will recover to a consistent state after "
! 						 "an operating system or hardware crash.")
  		},
  		&enableFsync,
  		true, NULL, NULL
--- 466,473 ----
  			gettext_noop("The server will use the fsync() system call in several places to make "
  						 "sure that updates are physically written to disk. This insures "
  						 "that a database cluster will recover to a consistent state after "
! 						 "an operating system or hardware crash."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&enableFsync,
  		true, NULL, NULL
***************
*** 487,493 ****
  		{"silent_mode", PGC_POSTMASTER, LOGGING_WHEN,
  			gettext_noop("Runs the server silently."),
  			gettext_noop("If this parameter is set, the server will automatically run in the "
! 			"background and any controlling terminals are dissociated.")
  		},
  		&SilentMode,
  		false, NULL, NULL
--- 489,496 ----
  		{"silent_mode", PGC_POSTMASTER, LOGGING_WHEN,
  			gettext_noop("Runs the server silently."),
  			gettext_noop("If this parameter is set, the server will automatically run in the "
! 						 "background and any controlling terminals are dissociated."),
! 			GUC_EMPTY_FLAGS
  		},
  		&SilentMode,
  		false, NULL, NULL
***************
*** 495,501 ****
  	{
  		{"log_connections", PGC_BACKEND, LOGGING_WHAT,
  			gettext_noop("Logs each successful connection."),
! 			NULL
  		},
  		&Log_connections,
  		false, NULL, NULL
--- 498,504 ----
  	{
  		{"log_connections", PGC_BACKEND, LOGGING_WHAT,
  			gettext_noop("Logs each successful connection."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Log_connections,
  		false, NULL, NULL
***************
*** 503,509 ****
  	{
  		{"log_disconnections", PGC_BACKEND, LOGGING_WHAT,
  		 gettext_noop("Logs end of a session, including duration"),
! 		 NULL
  		},
  		&Log_disconnections,
  		false, NULL, NULL
--- 506,512 ----
  	{
  		{"log_disconnections", PGC_BACKEND, LOGGING_WHAT,
  		 gettext_noop("Logs end of a session, including duration"),
! 		 NULL, GUC_EMPTY_FLAGS
  		},
  		&Log_disconnections,
  		false, NULL, NULL
***************
*** 534,540 ****
  	{
  		{"log_duration", PGC_USERLIMIT, LOGGING_WHAT,
  			gettext_noop("Logs the duration each completed SQL statement."),
! 			NULL
  		},
  		&log_duration,
  		false, NULL, NULL
--- 537,543 ----
  	{
  		{"log_duration", PGC_USERLIMIT, LOGGING_WHAT,
  			gettext_noop("Logs the duration each completed SQL statement."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&log_duration,
  		false, NULL, NULL
***************
*** 542,548 ****
  	{
  		{"debug_print_parse", PGC_USERSET, LOGGING_WHAT,
  			gettext_noop("Prints the parse tree to the server log."),
! 			NULL
  		},
  		&Debug_print_parse,
  		false, NULL, NULL
--- 545,551 ----
  	{
  		{"debug_print_parse", PGC_USERSET, LOGGING_WHAT,
  			gettext_noop("Prints the parse tree to the server log."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Debug_print_parse,
  		false, NULL, NULL
***************
*** 550,556 ****
  	{
  		{"debug_print_rewritten", PGC_USERSET, LOGGING_WHAT,
  			gettext_noop("Prints the parse tree after rewriting to server log."),
! 			NULL
  		},
  		&Debug_print_rewritten,
  		false, NULL, NULL
--- 553,559 ----
  	{
  		{"debug_print_rewritten", PGC_USERSET, LOGGING_WHAT,
  			gettext_noop("Prints the parse tree after rewriting to server log."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Debug_print_rewritten,
  		false, NULL, NULL
***************
*** 558,564 ****
  	{
  		{"debug_print_plan", PGC_USERSET, LOGGING_WHAT,
  			gettext_noop("Prints the execution plan to server log."),
! 			NULL
  		},
  		&Debug_print_plan,
  		false, NULL, NULL
--- 561,567 ----
  	{
  		{"debug_print_plan", PGC_USERSET, LOGGING_WHAT,
  			gettext_noop("Prints the execution plan to server log."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Debug_print_plan,
  		false, NULL, NULL
***************
*** 566,572 ****
  	{
  		{"debug_pretty_print", PGC_USERSET, LOGGING_WHAT,
  			gettext_noop("Indents parse and plan tree displays."),
! 			NULL
  		},
  		&Debug_pretty_print,
  		false, NULL, NULL
--- 569,575 ----
  	{
  		{"debug_pretty_print", PGC_USERSET, LOGGING_WHAT,
  			gettext_noop("Indents parse and plan tree displays."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Debug_pretty_print,
  		false, NULL, NULL
***************
*** 574,580 ****
  	{
  		{"log_parser_stats", PGC_USERLIMIT, STATS_MONITORING,
  			gettext_noop("Writes parser performance statistics to the server log."),
! 			NULL
  		},
  		&log_parser_stats,
  		false, NULL, NULL
--- 577,583 ----
  	{
  		{"log_parser_stats", PGC_USERLIMIT, STATS_MONITORING,
  			gettext_noop("Writes parser performance statistics to the server log."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&log_parser_stats,
  		false, NULL, NULL
***************
*** 582,588 ****
  	{
  		{"log_planner_stats", PGC_USERLIMIT, STATS_MONITORING,
  			gettext_noop("Writes planner performance statistics to the server log."),
! 			NULL
  		},
  		&log_planner_stats,
  		false, NULL, NULL
--- 585,591 ----
  	{
  		{"log_planner_stats", PGC_USERLIMIT, STATS_MONITORING,
  			gettext_noop("Writes planner performance statistics to the server log."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&log_planner_stats,
  		false, NULL, NULL
***************
*** 590,596 ****
  	{
  		{"log_executor_stats", PGC_USERLIMIT, STATS_MONITORING,
  			gettext_noop("Writes executor performance statistics to the server log."),
! 			NULL
  		},
  		&log_executor_stats,
  		false, NULL, NULL
--- 593,599 ----
  	{
  		{"log_executor_stats", PGC_USERLIMIT, STATS_MONITORING,
  			gettext_noop("Writes executor performance statistics to the server log."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&log_executor_stats,
  		false, NULL, NULL
***************
*** 598,604 ****
  	{
  		{"log_statement_stats", PGC_USERLIMIT, STATS_MONITORING,
  			gettext_noop("Writes cumulative performance statistics to the server log."),
! 			NULL
  		},
  		&log_statement_stats,
  		false, NULL, NULL
--- 601,607 ----
  	{
  		{"log_statement_stats", PGC_USERLIMIT, STATS_MONITORING,
  			gettext_noop("Writes cumulative performance statistics to the server log."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&log_statement_stats,
  		false, NULL, NULL
***************
*** 618,624 ****
  	{
  		{"explain_pretty_print", PGC_USERSET, CLIENT_CONN_OTHER,
  			gettext_noop("Uses the indented output format for EXPLAIN VERBOSE."),
! 			NULL
  		},
  		&Explain_pretty_print,
  		true, NULL, NULL
--- 621,627 ----
  	{
  		{"explain_pretty_print", PGC_USERSET, CLIENT_CONN_OTHER,
  			gettext_noop("Uses the indented output format for EXPLAIN VERBOSE."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Explain_pretty_print,
  		true, NULL, NULL
***************
*** 626,632 ****
  	{
  		{"stats_start_collector", PGC_POSTMASTER, STATS_COLLECTOR,
  			gettext_noop("Starts the server statistics-collection subprocess."),
! 			NULL
  		},
  		&pgstat_collect_startcollector,
  		true, NULL, NULL
--- 629,635 ----
  	{
  		{"stats_start_collector", PGC_POSTMASTER, STATS_COLLECTOR,
  			gettext_noop("Starts the server statistics-collection subprocess."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&pgstat_collect_startcollector,
  		true, NULL, NULL
***************
*** 634,640 ****
  	{
  		{"stats_reset_on_server_start", PGC_POSTMASTER, STATS_COLLECTOR,
  			gettext_noop("Zeroes collected statistics on server restart."),
! 			NULL
  		},
  		&pgstat_collect_resetonpmstart,
  		true, NULL, NULL
--- 637,643 ----
  	{
  		{"stats_reset_on_server_start", PGC_POSTMASTER, STATS_COLLECTOR,
  			gettext_noop("Zeroes collected statistics on server restart."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&pgstat_collect_resetonpmstart,
  		true, NULL, NULL
***************
*** 644,650 ****
  			gettext_noop("Collects statistics about executing commands."),
  			gettext_noop("Enables the collection of statistics on the currently "
  				"executing command of each session, along with the time "
! 						 "at which that command began execution.")
  		},
  		&pgstat_collect_querystring,
  		false, NULL, NULL
--- 647,654 ----
  			gettext_noop("Collects statistics about executing commands."),
  			gettext_noop("Enables the collection of statistics on the currently "
  				"executing command of each session, along with the time "
! 						 "at which that command began execution."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&pgstat_collect_querystring,
  		false, NULL, NULL
***************
*** 652,658 ****
  	{
  		{"stats_row_level", PGC_SUSET, STATS_COLLECTOR,
  			gettext_noop("Collects row-level statistics on database activity."),
! 			NULL
  		},
  		&pgstat_collect_tuplelevel,
  		false, NULL, NULL
--- 656,662 ----
  	{
  		{"stats_row_level", PGC_SUSET, STATS_COLLECTOR,
  			gettext_noop("Collects row-level statistics on database activity."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&pgstat_collect_tuplelevel,
  		false, NULL, NULL
***************
*** 660,666 ****
  	{
  		{"stats_block_level", PGC_SUSET, STATS_COLLECTOR,
  			gettext_noop("Collects block-level statistics on database activity."),
! 			NULL
  		},
  		&pgstat_collect_blocklevel,
  		false, NULL, NULL
--- 664,670 ----
  	{
  		{"stats_block_level", PGC_SUSET, STATS_COLLECTOR,
  			gettext_noop("Collects block-level statistics on database activity."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&pgstat_collect_blocklevel,
  		false, NULL, NULL
***************
*** 721,727 ****
  			gettext_noop("By default, connection logs only show the IP address "
  						 "of the connecting host. If you want them to show the host name you "
  						 "can turn this on, but depending on your host name resolution "
! 			"setup it might impose a non-negligible performance penalty.")
  		},
  		&log_hostname,
  		false, NULL, NULL
--- 725,732 ----
  			gettext_noop("By default, connection logs only show the IP address "
  						 "of the connecting host. If you want them to show the host name you "
  						 "can turn this on, but depending on your host name resolution "
! 						 "setup it might impose a non-negligible performance penalty."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&log_hostname,
  		false, NULL, NULL
***************
*** 729,735 ****
  	{
  		{"sql_inheritance", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
  			gettext_noop("Causes subtables to be included by default in various commands."),
! 			NULL
  		},
  		&SQL_inheritance,
  		true, NULL, NULL
--- 734,740 ----
  	{
  		{"sql_inheritance", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
  			gettext_noop("Causes subtables to be included by default in various commands."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&SQL_inheritance,
  		true, NULL, NULL
***************
*** 738,744 ****
  		{"australian_timezones", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Interprets ACST, CST, EST, and SAT as Australian time zones."),
  			gettext_noop("Otherwise they are interpreted as North/South American "
! 						 "time zones and Saturday.")
  		},
  		&Australian_timezones,
  		false, ClearDateCache, NULL
--- 743,750 ----
  		{"australian_timezones", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Interprets ACST, CST, EST, and SAT as Australian time zones."),
  			gettext_noop("Otherwise they are interpreted as North/South American "
! 						 "time zones and Saturday."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&Australian_timezones,
  		false, ClearDateCache, NULL
***************
*** 748,754 ****
  			gettext_noop("Encrypt passwords."),
  			gettext_noop("When a password is specified in CREATE USER or "
  			"ALTER USER without writing either ENCRYPTED or UNENCRYPTED, "
! 						 "this parameter determines whether the password is to be encrypted.")
  		},
  		&Password_encryption,
  		true, NULL, NULL
--- 754,761 ----
  			gettext_noop("Encrypt passwords."),
  			gettext_noop("When a password is specified in CREATE USER or "
  			"ALTER USER without writing either ENCRYPTED or UNENCRYPTED, "
! 						 "this parameter determines whether the password is to be encrypted."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&Password_encryption,
  		true, NULL, NULL
***************
*** 760,766 ****
  			"(or NULL = expr) are treated as expr IS NULL, that is, they "
  			"return true if expr evaluates to the null value, and false "
  			"otherwise. The correct behavior of expr = NULL is to always "
! 						 "return null (unknown).")
  		},
  		&Transform_null_equals,
  		false, NULL, NULL
--- 767,774 ----
  			"(or NULL = expr) are treated as expr IS NULL, that is, they "
  			"return true if expr evaluates to the null value, and false "
  			"otherwise. The correct behavior of expr = NULL is to always "
! 						 "return null (unknown)."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&Transform_null_equals,
  		false, NULL, NULL
***************
*** 768,774 ****
  	{
  		{"db_user_namespace", PGC_SIGHUP, CONN_AUTH_SECURITY,
  			gettext_noop("Enables per-database user names."),
! 			NULL
  		},
  		&Db_user_namespace,
  		false, NULL, NULL
--- 776,782 ----
  	{
  		{"db_user_namespace", PGC_SIGHUP, CONN_AUTH_SECURITY,
  			gettext_noop("Enables per-database user names."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Db_user_namespace,
  		false, NULL, NULL
***************
*** 786,792 ****
  	{
  		{"default_transaction_read_only", PGC_USERSET, CLIENT_CONN_STATEMENT,
  			gettext_noop("Sets the default read-only status of new transactions."),
! 			NULL
  		},
  		&DefaultXactReadOnly,
  		false, NULL, NULL
--- 794,800 ----
  	{
  		{"default_transaction_read_only", PGC_USERSET, CLIENT_CONN_STATEMENT,
  			gettext_noop("Sets the default read-only status of new transactions."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&DefaultXactReadOnly,
  		false, NULL, NULL
***************
*** 803,809 ****
  	{
  		{"add_missing_from", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
  			gettext_noop("Automatically adds missing table references to FROM clauses."),
! 			NULL
  		},
  		&add_missing_from,
  		true, NULL, NULL
--- 811,817 ----
  	{
  		{"add_missing_from", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
  			gettext_noop("Automatically adds missing table references to FROM clauses."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&add_missing_from,
  		true, NULL, NULL
***************
*** 811,817 ****
  	{
  		{"check_function_bodies", PGC_USERSET, CLIENT_CONN_STATEMENT,
  			gettext_noop("Check function bodies during CREATE FUNCTION."),
! 			NULL
  		},
  		&check_function_bodies,
  		true, NULL, NULL
--- 819,825 ----
  	{
  		{"check_function_bodies", PGC_USERSET, CLIENT_CONN_STATEMENT,
  			gettext_noop("Check function bodies during CREATE FUNCTION."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&check_function_bodies,
  		true, NULL, NULL
***************
*** 819,825 ****
  	{
  		{"default_with_oids", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
  		 gettext_noop("By default, newly-created tables should have OIDs"),
! 		 NULL
  		},
  		&default_with_oids,
  		true, NULL, NULL
--- 827,833 ----
  	{
  		{"default_with_oids", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
  		 gettext_noop("By default, newly-created tables should have OIDs"),
! 		 NULL, GUC_EMPTY_FLAGS
  		},
  		&default_with_oids,
  		true, NULL, NULL
***************
*** 853,859 ****
  
  	/* End-of-list marker */
  	{
! 		{NULL, 0, 0, NULL, NULL}, NULL, false, NULL, NULL
  	}
  };
  
--- 861,867 ----
  
  	/* End-of-list marker */
  	{
! 		{NULL, 0, 0, NULL, NULL, GUC_EMPTY_FLAGS }, NULL, false, NULL, NULL
  	}
  };
  
***************
*** 864,870 ****
  		{"default_statistics_target", PGC_USERSET, QUERY_TUNING_OTHER,
  			gettext_noop("Sets the default statistics target."),
  			gettext_noop("This applies to table columns that have not had a "
! 			 "column-specific target set via ALTER TABLE SET STATISTICS.")
  		},
  		&default_statistics_target,
  		10, 1, 1000, NULL, NULL
--- 872,879 ----
  		{"default_statistics_target", PGC_USERSET, QUERY_TUNING_OTHER,
  			gettext_noop("Sets the default statistics target."),
  			gettext_noop("This applies to table columns that have not had a "
! 						 "column-specific target set via ALTER TABLE SET STATISTICS."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&default_statistics_target,
  		10, 1, 1000, NULL, NULL
***************
*** 875,881 ****
  						 "collapsed."),
  			gettext_noop("The planner will merge subqueries into upper "
  			"queries if the resulting FROM list would have no more than "
! 						 "this many items.")
  		},
  		&from_collapse_limit,
  		8, 1, INT_MAX, NULL, NULL
--- 884,891 ----
  						 "collapsed."),
  			gettext_noop("The planner will merge subqueries into upper "
  			"queries if the resulting FROM list would have no more than "
! 						 "this many items."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&from_collapse_limit,
  		8, 1, INT_MAX, NULL, NULL
***************
*** 886,892 ****
  						 "flattened."),
  			gettext_noop("The planner will flatten explicit inner JOIN "
  						 "constructs into lists of FROM items whenever a list of no more "
! 						 "than this many items would result.")
  		},
  		&join_collapse_limit,
  		8, 1, INT_MAX, NULL, NULL
--- 896,903 ----
  						 "flattened."),
  			gettext_noop("The planner will flatten explicit inner JOIN "
  						 "constructs into lists of FROM items whenever a list of no more "
! 						 "than this many items would result."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&join_collapse_limit,
  		8, 1, INT_MAX, NULL, NULL
***************
*** 894,900 ****
  	{
  		{"geqo_threshold", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("Sets the threshold of FROM items beyond which GEQO is used."),
! 			NULL
  		},
  		&geqo_threshold,
  		12, 2, INT_MAX, NULL, NULL
--- 905,911 ----
  	{
  		{"geqo_threshold", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("Sets the threshold of FROM items beyond which GEQO is used."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&geqo_threshold,
  		12, 2, INT_MAX, NULL, NULL
***************
*** 902,908 ****
  	{
  		{"geqo_effort", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("GEQO: effort is used to set the default for other GEQO parameters."),
! 			NULL
  		},
  		&Geqo_effort,
  		DEFAULT_GEQO_EFFORT, MIN_GEQO_EFFORT, MAX_GEQO_EFFORT, NULL, NULL
--- 913,919 ----
  	{
  		{"geqo_effort", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("GEQO: effort is used to set the default for other GEQO parameters."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Geqo_effort,
  		DEFAULT_GEQO_EFFORT, MIN_GEQO_EFFORT, MAX_GEQO_EFFORT, NULL, NULL
***************
*** 910,916 ****
  	{
  		{"geqo_pool_size", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("GEQO: number of individuals in the population."),
! 			gettext_noop("Zero selects a suitable default value.")
  		},
  		&Geqo_pool_size,
  		0, 0, INT_MAX, NULL, NULL
--- 921,928 ----
  	{
  		{"geqo_pool_size", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("GEQO: number of individuals in the population."),
! 		 	gettext_noop("Zero selects a suitable default value."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&Geqo_pool_size,
  		0, 0, INT_MAX, NULL, NULL
***************
*** 918,924 ****
  	{
  		{"geqo_generations", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("GEQO: number of iterations of the algorithm."),
! 			gettext_noop("Zero selects a suitable default value.")
  		},
  		&Geqo_generations,
  		0, 0, INT_MAX, NULL, NULL
--- 930,937 ----
  	{
  		{"geqo_generations", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("GEQO: number of iterations of the algorithm."),
! 		 	gettext_noop("Zero selects a suitable default value."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&Geqo_generations,
  		0, 0, INT_MAX, NULL, NULL
***************
*** 927,933 ****
  	{
  		{"deadlock_timeout", PGC_SIGHUP, LOCK_MANAGEMENT,
  			gettext_noop("The time in milliseconds to wait on lock before checking for deadlock."),
! 			NULL
  		},
  		&DeadlockTimeout,
  		1000, 0, INT_MAX, NULL, NULL
--- 940,946 ----
  	{
  		{"deadlock_timeout", PGC_SIGHUP, LOCK_MANAGEMENT,
  			gettext_noop("The time in milliseconds to wait on lock before checking for deadlock."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&DeadlockTimeout,
  		1000, 0, INT_MAX, NULL, NULL
***************
*** 943,949 ****
  	{
  		{"max_connections", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the maximum number of concurrent connections."),
! 			NULL
  		},
  		&MaxBackends,
  		100, 1, INT_MAX, NULL, NULL
--- 956,962 ----
  	{
  		{"max_connections", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the maximum number of concurrent connections."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&MaxBackends,
  		100, 1, INT_MAX, NULL, NULL
***************
*** 952,958 ****
  	{
  		{"superuser_reserved_connections", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the number of connection slots reserved for superusers."),
! 			NULL
  		},
  		&ReservedBackends,
  		2, 0, INT_MAX, NULL, NULL
--- 965,971 ----
  	{
  		{"superuser_reserved_connections", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the number of connection slots reserved for superusers."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&ReservedBackends,
  		2, 0, INT_MAX, NULL, NULL
***************
*** 961,967 ****
  	{
  		{"shared_buffers", PGC_POSTMASTER, RESOURCES_MEM,
  			gettext_noop("Sets the number of shared memory buffers used by the server."),
! 			NULL
  		},
  		&NBuffers,
  		1000, 16, INT_MAX, NULL, NULL
--- 974,980 ----
  	{
  		{"shared_buffers", PGC_POSTMASTER, RESOURCES_MEM,
  			gettext_noop("Sets the number of shared memory buffers used by the server."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&NBuffers,
  		1000, 16, INT_MAX, NULL, NULL
***************
*** 970,976 ****
  	{
  		{"port", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the TCP port the server listens on."),
! 			NULL
  		},
  		&PostPortNumber,
  		DEF_PGPORT, 1, 65535, NULL, NULL
--- 983,989 ----
  	{
  		{"port", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the TCP port the server listens on."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&PostPortNumber,
  		DEF_PGPORT, 1, 65535, NULL, NULL
***************
*** 983,989 ****
  						 "permission set. The parameter value is expected to be an numeric mode "
  						 "specification in the form accepted by the chmod and umask system "
  						 "calls. (To use the customary octal format the number must start with "
! 						 "a 0 (zero).)")
  		},
  		&Unix_socket_permissions,
  		0777, 0000, 0777, NULL, NULL
--- 996,1003 ----
  						 "permission set. The parameter value is expected to be an numeric mode "
  						 "specification in the form accepted by the chmod and umask system "
  						 "calls. (To use the customary octal format the number must start with "
! 						 "a 0 (zero).)"),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&Unix_socket_permissions,
  		0777, 0000, 0777, NULL, NULL
***************
*** 994,1000 ****
  			gettext_noop("Sets the maximum memory to be used for query workspaces."),
  			gettext_noop("This much memory may be used by each internal "
  						 "sort operation and hash table before switching to "
! 						 "temporary disk files.")
  		},
  		&work_mem,
  		1024, 8 * BLCKSZ / 1024, INT_MAX / 1024, NULL, NULL
--- 1008,1015 ----
  			gettext_noop("Sets the maximum memory to be used for query workspaces."),
  			gettext_noop("This much memory may be used by each internal "
  						 "sort operation and hash table before switching to "
! 						 "temporary disk files."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&work_mem,
  		1024, 8 * BLCKSZ / 1024, INT_MAX / 1024, NULL, NULL
***************
*** 1003,1009 ****
  	{
  		{"maintenance_work_mem", PGC_USERSET, RESOURCES_MEM,
  			gettext_noop("Sets the maximum memory to be used for maintenance operations."),
! 			gettext_noop("This includes operations such as VACUUM and CREATE INDEX.")
  		},
  		&maintenance_work_mem,
  		16384, 1024, INT_MAX / 1024, NULL, NULL
--- 1018,1025 ----
  	{
  		{"maintenance_work_mem", PGC_USERSET, RESOURCES_MEM,
  			gettext_noop("Sets the maximum memory to be used for maintenance operations."),
! 		 	gettext_noop("This includes operations such as VACUUM and CREATE INDEX."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&maintenance_work_mem,
  		16384, 1024, INT_MAX / 1024, NULL, NULL
***************
*** 1012,1018 ****
  	{
  		{"max_stack_depth", PGC_SUSET, RESOURCES_MEM,
  			gettext_noop("Sets the maximum stack depth, in kilobytes."),
! 			NULL
  		},
  		&max_stack_depth,
  		2048, 100, INT_MAX / 1024, assign_max_stack_depth, NULL
--- 1028,1034 ----
  	{
  		{"max_stack_depth", PGC_SUSET, RESOURCES_MEM,
  			gettext_noop("Sets the maximum stack depth, in kilobytes."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&max_stack_depth,
  		2048, 100, INT_MAX / 1024, assign_max_stack_depth, NULL
***************
*** 1021,1027 ****
  	{
  		{"vacuum_cost_page_hit", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost for a page found in the buffer cache."),
! 			NULL
  		},
  		&VacuumCostPageHit,
  		1, 0, 10000, NULL, NULL
--- 1037,1043 ----
  	{
  		{"vacuum_cost_page_hit", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost for a page found in the buffer cache."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&VacuumCostPageHit,
  		1, 0, 10000, NULL, NULL
***************
*** 1030,1036 ****
  	{
  		{"vacuum_cost_page_miss", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost for a page not found in the buffer cache."),
! 			NULL
  		},
  		&VacuumCostPageMiss,
  		10, 0, 10000, NULL, NULL
--- 1046,1052 ----
  	{
  		{"vacuum_cost_page_miss", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost for a page not found in the buffer cache."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&VacuumCostPageMiss,
  		10, 0, 10000, NULL, NULL
***************
*** 1039,1045 ****
  	{
  		{"vacuum_cost_page_dirty", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost for a page dirtied by vacuum."),
! 			NULL
  		},
  		&VacuumCostPageDirty,
  		20, 0, 10000, NULL, NULL
--- 1055,1061 ----
  	{
  		{"vacuum_cost_page_dirty", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost for a page dirtied by vacuum."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&VacuumCostPageDirty,
  		20, 0, 10000, NULL, NULL
***************
*** 1048,1054 ****
  	{
  		{"vacuum_cost_limit", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost amount available before napping."),
! 			NULL
  		},
  		&VacuumCostLimit,
  		200, 1, 10000, NULL, NULL
--- 1064,1070 ----
  	{
  		{"vacuum_cost_limit", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost amount available before napping."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&VacuumCostLimit,
  		200, 1, 10000, NULL, NULL
***************
*** 1057,1063 ****
  	{
  		{"vacuum_cost_naptime", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost naptime in milliseconds."),
! 			NULL
  		},
  		&VacuumCostNaptime,
  		0, 0, 1000, NULL, NULL
--- 1073,1079 ----
  	{
  		{"vacuum_cost_naptime", PGC_USERSET, RESOURCES,
  			gettext_noop("Vacuum cost naptime in milliseconds."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&VacuumCostNaptime,
  		0, 0, 1000, NULL, NULL
***************
*** 1066,1072 ****
  	{
  		{"max_files_per_process", PGC_POSTMASTER, RESOURCES_KERNEL,
  			gettext_noop("Sets the maximum number of simultaneously open files for each server process."),
! 			NULL
  		},
  		&max_files_per_process,
  		1000, 25, INT_MAX, NULL, NULL
--- 1082,1088 ----
  	{
  		{"max_files_per_process", PGC_POSTMASTER, RESOURCES_KERNEL,
  			gettext_noop("Sets the maximum number of simultaneously open files for each server process."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&max_files_per_process,
  		1000, 25, INT_MAX, NULL, NULL
***************
*** 1096,1102 ****
  	{
  		{"statement_timeout", PGC_USERSET, CLIENT_CONN_STATEMENT,
  			gettext_noop("Sets the maximum allowed duration (in milliseconds) of any statement."),
! 			gettext_noop("A value of 0 turns off the timeout.")
  		},
  		&StatementTimeout,
  		0, 0, INT_MAX, NULL, NULL
--- 1112,1119 ----
  	{
  		{"statement_timeout", PGC_USERSET, CLIENT_CONN_STATEMENT,
  			gettext_noop("Sets the maximum allowed duration (in milliseconds) of any statement."),
! 		 	gettext_noop("A value of 0 turns off the timeout."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&StatementTimeout,
  		0, 0, INT_MAX, NULL, NULL
***************
*** 1106,1112 ****
  		{"max_fsm_relations", PGC_POSTMASTER, RESOURCES_FSM,
  			gettext_noop("Sets the maximum number of tables and indexes for which free space is "
  						 "tracked."),
! 			NULL
  		},
  		&MaxFSMRelations,
  		1000, 100, INT_MAX, NULL, NULL
--- 1123,1129 ----
  		{"max_fsm_relations", PGC_POSTMASTER, RESOURCES_FSM,
  			gettext_noop("Sets the maximum number of tables and indexes for which free space is "
  						 "tracked."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&MaxFSMRelations,
  		1000, 100, INT_MAX, NULL, NULL
***************
*** 1115,1121 ****
  		{"max_fsm_pages", PGC_POSTMASTER, RESOURCES_FSM,
  			gettext_noop("Sets the maximum number of disk pages for which free space is "
  						 "tracked."),
! 			NULL
  		},
  		&MaxFSMPages,
  		20000, 1000, INT_MAX, NULL, NULL
--- 1132,1138 ----
  		{"max_fsm_pages", PGC_POSTMASTER, RESOURCES_FSM,
  			gettext_noop("Sets the maximum number of disk pages for which free space is "
  						 "tracked."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&MaxFSMPages,
  		20000, 1000, INT_MAX, NULL, NULL
***************
*** 1126,1132 ****
  			gettext_noop("Sets the maximum number of locks per transaction."),
  			gettext_noop("The shared lock table is sized on the assumption that "
  						 "at most max_locks_per_transaction * max_connections distinct "
! 					   "objects will need to be locked at any one time.")
  		},
  		&max_locks_per_xact,
  		64, 10, INT_MAX, NULL, NULL
--- 1143,1150 ----
  			gettext_noop("Sets the maximum number of locks per transaction."),
  			gettext_noop("The shared lock table is sized on the assumption that "
  						 "at most max_locks_per_transaction * max_connections distinct "
! 						 "objects will need to be locked at any one time."),
! 			GUC_EMPTY_FLAGS
  		},
  		&max_locks_per_xact,
  		64, 10, INT_MAX, NULL, NULL
***************
*** 1135,1141 ****
  	{
  		{"authentication_timeout", PGC_SIGHUP, CONN_AUTH_SECURITY,
  			gettext_noop("Sets the maximum time in seconds to complete client authentication."),
! 			NULL
  		},
  		&AuthenticationTimeout,
  		60, 1, 600, NULL, NULL
--- 1153,1159 ----
  	{
  		{"authentication_timeout", PGC_SIGHUP, CONN_AUTH_SECURITY,
  			gettext_noop("Sets the maximum time in seconds to complete client authentication."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&AuthenticationTimeout,
  		60, 1, 600, NULL, NULL
***************
*** 1155,1161 ****
  	{
  		{"checkpoint_segments", PGC_SIGHUP, WAL_CHECKPOINTS,
  			gettext_noop("Sets the maximum distance in log segments between automatic WAL checkpoints."),
! 			NULL
  		},
  		&CheckPointSegments,
  		3, 1, INT_MAX, NULL, NULL
--- 1173,1179 ----
  	{
  		{"checkpoint_segments", PGC_SIGHUP, WAL_CHECKPOINTS,
  			gettext_noop("Sets the maximum distance in log segments between automatic WAL checkpoints."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&CheckPointSegments,
  		3, 1, INT_MAX, NULL, NULL
***************
*** 1164,1170 ****
  	{
  		{"checkpoint_timeout", PGC_SIGHUP, WAL_CHECKPOINTS,
  			gettext_noop("Sets the maximum time in seconds between automatic WAL checkpoints."),
! 			NULL
  		},
  		&CheckPointTimeout,
  		300, 30, 3600, NULL, NULL
--- 1182,1188 ----
  	{
  		{"checkpoint_timeout", PGC_SIGHUP, WAL_CHECKPOINTS,
  			gettext_noop("Sets the maximum time in seconds between automatic WAL checkpoints."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&CheckPointTimeout,
  		300, 30, 3600, NULL, NULL
***************
*** 1176,1182 ****
  						 "frequently than this (in seconds)."),
  			gettext_noop("Write a message to the server log if checkpoints "
  						 "caused by the filling of checkpoint segment files happens more "
! 						 "frequently than this number of seconds. Zero turns off the warning.")
  		},
  		&CheckPointWarning,
  		30, 0, INT_MAX, NULL, NULL
--- 1194,1201 ----
  						 "frequently than this (in seconds)."),
  			gettext_noop("Write a message to the server log if checkpoints "
  						 "caused by the filling of checkpoint segment files happens more "
! 						 "frequently than this number of seconds. Zero turns off the warning."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&CheckPointWarning,
  		30, 0, INT_MAX, NULL, NULL
***************
*** 1185,1191 ****
  	{
  		{"wal_buffers", PGC_POSTMASTER, WAL_SETTINGS,
  			gettext_noop("Sets the number of disk-page buffers in shared memory for WAL."),
! 			NULL
  		},
  		&XLOGbuffers,
  		8, 4, INT_MAX, NULL, NULL
--- 1204,1210 ----
  	{
  		{"wal_buffers", PGC_POSTMASTER, WAL_SETTINGS,
  			gettext_noop("Sets the number of disk-page buffers in shared memory for WAL."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&XLOGbuffers,
  		8, 4, INT_MAX, NULL, NULL
***************
*** 1195,1201 ****
  		{"commit_delay", PGC_USERSET, WAL_CHECKPOINTS,
  			gettext_noop("Sets the delay in microseconds between transaction commit and "
  						 "flushing WAL to disk."),
! 			NULL
  		},
  		&CommitDelay,
  		0, 0, 100000, NULL, NULL
--- 1214,1220 ----
  		{"commit_delay", PGC_USERSET, WAL_CHECKPOINTS,
  			gettext_noop("Sets the delay in microseconds between transaction commit and "
  						 "flushing WAL to disk."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&CommitDelay,
  		0, 0, 100000, NULL, NULL
***************
*** 1205,1211 ****
  		{"commit_siblings", PGC_USERSET, WAL_CHECKPOINTS,
  			gettext_noop("Sets the minimum concurrent open transactions before performing "
  						 "commit_delay."),
! 			NULL
  		},
  		&CommitSiblings,
  		5, 1, 1000, NULL, NULL
--- 1224,1230 ----
  		{"commit_siblings", PGC_USERSET, WAL_CHECKPOINTS,
  			gettext_noop("Sets the minimum concurrent open transactions before performing "
  						 "commit_delay."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&CommitSiblings,
  		5, 1, 1000, NULL, NULL
***************
*** 1216,1222 ****
  			gettext_noop("Sets the number of digits displayed for floating-point values."),
  			gettext_noop("This affects real, double precision, and geometric data types. "
  						 "The parameter value is added to the standard number of digits "
! 						 "(FLT_DIG or DBL_DIG as appropriate).")
  		},
  		&extra_float_digits,
  		0, -15, 2, NULL, NULL
--- 1235,1242 ----
  			gettext_noop("Sets the number of digits displayed for floating-point values."),
  			gettext_noop("This affects real, double precision, and geometric data types. "
  						 "The parameter value is added to the standard number of digits "
! 						 "(FLT_DIG or DBL_DIG as appropriate)."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&extra_float_digits,
  		0, -15, 2, NULL, NULL
***************
*** 1226,1232 ****
  		{"log_min_duration_statement", PGC_USERLIMIT, LOGGING_WHEN,
  			gettext_noop("Sets the minimum execution time in milliseconds above which statements will "
  						 "be logged."),
! 			gettext_noop("Zero prints all queries. The default is -1 (turning this feature off).")
  		},
  		&log_min_duration_statement,
  		-1, -1, INT_MAX / 1000, NULL, NULL
--- 1246,1253 ----
  		{"log_min_duration_statement", PGC_USERLIMIT, LOGGING_WHEN,
  			gettext_noop("Sets the minimum execution time in milliseconds above which statements will "
  						 "be logged."),
! 		 	gettext_noop("Zero prints all queries. The default is -1 (turning this feature off)."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&log_min_duration_statement,
  		-1, -1, INT_MAX / 1000, NULL, NULL
***************
*** 1235,1241 ****
  	{
  		{"debug_shared_buffers", PGC_POSTMASTER, STATS_MONITORING,
  			gettext_noop("Interval to report shared buffer status in seconds"),
! 			NULL
  		},
  		&DebugSharedBuffers,
  		0, 0, 600, NULL, NULL
--- 1256,1262 ----
  	{
  		{"debug_shared_buffers", PGC_POSTMASTER, STATS_MONITORING,
  			gettext_noop("Interval to report shared buffer status in seconds"),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&DebugSharedBuffers,
  		0, 0, 600, NULL, NULL
***************
*** 1244,1250 ****
  	{
  		{"bgwriter_delay", PGC_SIGHUP, RESOURCES,
  			gettext_noop("Background writer sleep time between rounds in milliseconds"),
! 			NULL
  		},
  		&BgWriterDelay,
  		200, 10, 5000, NULL, NULL
--- 1265,1271 ----
  	{
  		{"bgwriter_delay", PGC_SIGHUP, RESOURCES,
  			gettext_noop("Background writer sleep time between rounds in milliseconds"),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&BgWriterDelay,
  		200, 10, 5000, NULL, NULL
***************
*** 1253,1259 ****
  	{
  		{"bgwriter_percent", PGC_SIGHUP, RESOURCES,
  			gettext_noop("Background writer percentage of dirty buffers to flush per round"),
! 			NULL
  		},
  		&BgWriterPercent,
  		1, 0, 100, NULL, NULL
--- 1274,1280 ----
  	{
  		{"bgwriter_percent", PGC_SIGHUP, RESOURCES,
  			gettext_noop("Background writer percentage of dirty buffers to flush per round"),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&BgWriterPercent,
  		1, 0, 100, NULL, NULL
***************
*** 1262,1268 ****
  	{
  		{"bgwriter_maxpages", PGC_SIGHUP, RESOURCES,
  			gettext_noop("Background writer maximum number of pages to flush per round"),
! 			NULL
  		},
  		&BgWriterMaxpages,
  		100, 1, 1000, NULL, NULL
--- 1283,1289 ----
  	{
  		{"bgwriter_maxpages", PGC_SIGHUP, RESOURCES,
  			gettext_noop("Background writer maximum number of pages to flush per round"),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&BgWriterMaxpages,
  		100, 1, 1000, NULL, NULL
***************
*** 1310,1316 ****
  
  	/* End-of-list marker */
  	{
! 		{NULL, 0, 0, NULL, NULL}, NULL, 0, 0, 0, NULL, NULL
  	}
  };
  
--- 1331,1337 ----
  
  	/* End-of-list marker */
  	{
! 		{NULL, 0, 0, NULL, NULL, GUC_EMPTY_FLAGS }, NULL, 0, 0, 0, NULL, NULL
  	}
  };
  
***************
*** 1322,1328 ****
  			gettext_noop("Sets the planner's assumption about size of the disk cache."),
  			gettext_noop("That is, the portion of the kernel's disk cache that "
  						 "will be used for PostgreSQL data files. This is measured in disk "
! 						 "pages, which are normally 8 kB each.")
  		},
  		&effective_cache_size,
  		DEFAULT_EFFECTIVE_CACHE_SIZE, 0, DBL_MAX, NULL, NULL
--- 1343,1350 ----
  			gettext_noop("Sets the planner's assumption about size of the disk cache."),
  			gettext_noop("That is, the portion of the kernel's disk cache that "
  						 "will be used for PostgreSQL data files. This is measured in disk "
! 						 "pages, which are normally 8 kB each."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&effective_cache_size,
  		DEFAULT_EFFECTIVE_CACHE_SIZE, 0, DBL_MAX, NULL, NULL
***************
*** 1334,1340 ****
  			gettext_noop("This is measured as a multiple of the cost of a "
  						 "sequential page fetch. A higher value makes it more likely a "
  						 "sequential scan will be used, a lower value makes it more likely an "
! 						 "index scan will be used.")
  		},
  		&random_page_cost,
  		DEFAULT_RANDOM_PAGE_COST, 0, DBL_MAX, NULL, NULL
--- 1356,1363 ----
  			gettext_noop("This is measured as a multiple of the cost of a "
  						 "sequential page fetch. A higher value makes it more likely a "
  						 "sequential scan will be used, a lower value makes it more likely an "
! 						 "index scan will be used."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&random_page_cost,
  		DEFAULT_RANDOM_PAGE_COST, 0, DBL_MAX, NULL, NULL
***************
*** 1343,1349 ****
  		{"cpu_tuple_cost", PGC_USERSET, QUERY_TUNING_COST,
  			gettext_noop("Sets the planner's estimate of the cost of processing each tuple (row)."),
  			gettext_noop("This is measured as a fraction of the cost of a "
! 						 "sequential page fetch.")
  		},
  		&cpu_tuple_cost,
  		DEFAULT_CPU_TUPLE_COST, 0, DBL_MAX, NULL, NULL
--- 1366,1373 ----
  		{"cpu_tuple_cost", PGC_USERSET, QUERY_TUNING_COST,
  			gettext_noop("Sets the planner's estimate of the cost of processing each tuple (row)."),
  			gettext_noop("This is measured as a fraction of the cost of a "
! 						 "sequential page fetch."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&cpu_tuple_cost,
  		DEFAULT_CPU_TUPLE_COST, 0, DBL_MAX, NULL, NULL
***************
*** 1353,1359 ****
  			gettext_noop("Sets the planner's estimate of processing cost for each "
  						 "index tuple (row) during index scan."),
  			gettext_noop("This is measured as a fraction of the cost of a "
! 						 "sequential page fetch.")
  		},
  		&cpu_index_tuple_cost,
  		DEFAULT_CPU_INDEX_TUPLE_COST, 0, DBL_MAX, NULL, NULL
--- 1377,1384 ----
  			gettext_noop("Sets the planner's estimate of processing cost for each "
  						 "index tuple (row) during index scan."),
  			gettext_noop("This is measured as a fraction of the cost of a "
! 						 "sequential page fetch."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&cpu_index_tuple_cost,
  		DEFAULT_CPU_INDEX_TUPLE_COST, 0, DBL_MAX, NULL, NULL
***************
*** 1362,1368 ****
  		{"cpu_operator_cost", PGC_USERSET, QUERY_TUNING_COST,
  			gettext_noop("Sets the planner's estimate of processing cost of each operator in WHERE."),
  			gettext_noop("This is measured as a fraction of the cost of a sequential "
! 						 "page fetch.")
  		},
  		&cpu_operator_cost,
  		DEFAULT_CPU_OPERATOR_COST, 0, DBL_MAX, NULL, NULL
--- 1387,1394 ----
  		{"cpu_operator_cost", PGC_USERSET, QUERY_TUNING_COST,
  			gettext_noop("Sets the planner's estimate of processing cost of each operator in WHERE."),
  			gettext_noop("This is measured as a fraction of the cost of a sequential "
! 						 "page fetch."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&cpu_operator_cost,
  		DEFAULT_CPU_OPERATOR_COST, 0, DBL_MAX, NULL, NULL
***************
*** 1371,1377 ****
  	{
  		{"geqo_selection_bias", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("GEQO: selective pressure within the population."),
! 			NULL
  		},
  		&Geqo_selection_bias,
  		DEFAULT_GEQO_SELECTION_BIAS, MIN_GEQO_SELECTION_BIAS,
--- 1397,1403 ----
  	{
  		{"geqo_selection_bias", PGC_USERSET, QUERY_TUNING_GEQO,
  			gettext_noop("GEQO: selective pressure within the population."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Geqo_selection_bias,
  		DEFAULT_GEQO_SELECTION_BIAS, MIN_GEQO_SELECTION_BIAS,
***************
*** 1390,1396 ****
  
  	/* End-of-list marker */
  	{
! 		{NULL, 0, 0, NULL, NULL}, NULL, 0.0, 0.0, 0.0, NULL, NULL
  	}
  };
  
--- 1416,1422 ----
  
  	/* End-of-list marker */
  	{
! 		{NULL, 0, 0, NULL, NULL, GUC_EMPTY_FLAGS }, NULL, 0.0, 0.0, 0.0, NULL, NULL
  	}
  };
  
***************
*** 1413,1419 ****
  			gettext_noop("Valid values are DEBUG5, DEBUG4, DEBUG3, DEBUG2, "
  						 "DEBUG1, LOG, NOTICE, WARNING, and ERROR. Each level includes all the "
  						 "levels that follow it. The later the level, the fewer messages are "
! 						 "sent.")
  		},
  		&client_min_messages_str,
  		"notice", assign_client_min_messages, NULL
--- 1439,1446 ----
  			gettext_noop("Valid values are DEBUG5, DEBUG4, DEBUG3, DEBUG2, "
  						 "DEBUG1, LOG, NOTICE, WARNING, and ERROR. Each level includes all the "
  						 "levels that follow it. The later the level, the fewer messages are "
! 						 "sent."),
! 			GUC_EMPTY_FLAGS
  		},
  		&client_min_messages_str,
  		"notice", assign_client_min_messages, NULL
***************
*** 1424,1430 ****
  			gettext_noop("Sets the message levels that are logged."),
  			gettext_noop("Valid values are DEBUG5, DEBUG4, DEBUG3, DEBUG2, DEBUG1, "
  						 "INFO, NOTICE, WARNING, ERROR, LOG, FATAL, and PANIC. Each level "
! 						 "includes all the levels that follow it.")
  		},
  		&log_min_messages_str,
  		"notice", assign_log_min_messages, NULL
--- 1451,1458 ----
  			gettext_noop("Sets the message levels that are logged."),
  			gettext_noop("Valid values are DEBUG5, DEBUG4, DEBUG3, DEBUG2, DEBUG1, "
  						 "INFO, NOTICE, WARNING, ERROR, LOG, FATAL, and PANIC. Each level "
! 						 "includes all the levels that follow it."),
! 			GUC_EMPTY_FLAGS
  		},
  		&log_min_messages_str,
  		"notice", assign_log_min_messages, NULL
***************
*** 1433,1439 ****
  	{
  		{"log_error_verbosity", PGC_SUSET, LOGGING_WHEN,
  			gettext_noop("Sets the verbosity of logged messages."),
! 			gettext_noop("Valid values are \"terse\", \"default\", and \"verbose\".")
  		},
  		&log_error_verbosity_str,
  		"default", assign_log_error_verbosity, NULL
--- 1461,1468 ----
  	{
  		{"log_error_verbosity", PGC_SUSET, LOGGING_WHEN,
  			gettext_noop("Sets the verbosity of logged messages."),
! 		 	gettext_noop("Valid values are \"terse\", \"default\", and \"verbose\"."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&log_error_verbosity_str,
  		"default", assign_log_error_verbosity, NULL
***************
*** 1441,1447 ****
  	{
  		{"log_statement", PGC_USERLIMIT, LOGGING_WHAT,
  			gettext_noop("Sets the type of statements logged."),
! 			gettext_noop("Valid values are \"none\", \"mod\", \"ddl\", and \"all\".")
  		},
  		&log_statement_str,
  		"none", assign_log_statement, NULL
--- 1470,1477 ----
  	{
  		{"log_statement", PGC_USERLIMIT, LOGGING_WHAT,
  			gettext_noop("Sets the type of statements logged."),
! 		 	gettext_noop("Valid values are \"none\", \"mod\", \"ddl\", and \"all\"."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&log_statement_str,
  		"none", assign_log_statement, NULL
***************
*** 1451,1457 ****
  		{"log_min_error_statement", PGC_USERLIMIT, LOGGING_WHEN,
  			gettext_noop("Causes all statements generating error at or above this level to be logged."),
  			gettext_noop("All SQL statements that cause an error of the "
! 						 "specified level or a higher level are logged.")
  		},
  		&log_min_error_statement_str,
  		"panic", assign_min_error_statement, NULL
--- 1481,1488 ----
  		{"log_min_error_statement", PGC_USERLIMIT, LOGGING_WHEN,
  			gettext_noop("Causes all statements generating error at or above this level to be logged."),
  			gettext_noop("All SQL statements that cause an error of the "
! 						 "specified level or a higher level are logged."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&log_min_error_statement_str,
  		"panic", assign_min_error_statement, NULL
***************
*** 1460,1466 ****
  	{
  		{"log_line_prefix", PGC_SIGHUP, LOGGING_WHAT,
  		 gettext_noop("Controls information prefixed to each log line"),
! 		 gettext_noop("if blank no prefix is used")
  		},
  		&Log_line_prefix,
  		"", NULL, NULL
--- 1491,1498 ----
  	{
  		{"log_line_prefix", PGC_SIGHUP, LOGGING_WHAT,
  		 gettext_noop("Controls information prefixed to each log line"),
! 		 gettext_noop("if blank no prefix is used"),
! 		 GUC_EMPTY_FLAGS
  		},
  		&Log_line_prefix,
  		"", NULL, NULL
***************
*** 1482,1488 ****
  		{"default_transaction_isolation", PGC_USERSET, CLIENT_CONN_STATEMENT,
  			gettext_noop("Sets the transaction isolation level of each new transaction."),
  			gettext_noop("Each SQL transaction has an isolation level, which "
! 				 "can be either \"read uncommitted\", \"read committed\", \"repeatable read\", or \"serializable\".")
  		},
  		&default_iso_level_string,
  		"read committed", assign_defaultxactisolevel, NULL
--- 1514,1521 ----
  		{"default_transaction_isolation", PGC_USERSET, CLIENT_CONN_STATEMENT,
  			gettext_noop("Sets the transaction isolation level of each new transaction."),
  			gettext_noop("Each SQL transaction has an isolation level, which "
! 						 "can be either \"read uncommitted\", \"read committed\", \"repeatable read\", or \"serializable\"."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&default_iso_level_string,
  		"read committed", assign_defaultxactisolevel, NULL
***************
*** 1494,1500 ****
  			gettext_noop("If a dynamically loadable module needs to be opened and "
  						 "the specified name does not have a directory component (i.e., the "
  						 "name does not contain a slash), the system will search this path for "
! 						 "the specified file.")
  		},
  		&Dynamic_library_path,
  		"$libdir", NULL, NULL
--- 1527,1534 ----
  			gettext_noop("If a dynamically loadable module needs to be opened and "
  						 "the specified name does not have a directory component (i.e., the "
  						 "name does not contain a slash), the system will search this path for "
! 						 "the specified file."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&Dynamic_library_path,
  		"$libdir", NULL, NULL
***************
*** 1503,1509 ****
  	{
  		{"krb_server_keyfile", PGC_POSTMASTER, CONN_AUTH_SECURITY,
  			gettext_noop("Sets the location of the Kerberos server key file."),
! 			NULL
  		},
  		&pg_krb_server_keyfile,
  		PG_KRB_SRVTAB, NULL, NULL
--- 1537,1543 ----
  	{
  		{"krb_server_keyfile", PGC_POSTMASTER, CONN_AUTH_SECURITY,
  			gettext_noop("Sets the location of the Kerberos server key file."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&pg_krb_server_keyfile,
  		PG_KRB_SRVTAB, NULL, NULL
***************
*** 1512,1518 ****
  	{
  		{"rendezvous_name", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the Rendezvous broadcast service name."),
! 			NULL
  		},
  		&rendezvous_name,
  		"", NULL, NULL
--- 1546,1552 ----
  	{
  		{"rendezvous_name", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the Rendezvous broadcast service name."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&rendezvous_name,
  		"", NULL, NULL
***************
*** 1543,1549 ****
  	{
  		{"lc_messages", PGC_SUSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the language in which messages are displayed."),
! 			NULL
  		},
  		&locale_messages,
  		"", locale_messages_assign, NULL
--- 1577,1583 ----
  	{
  		{"lc_messages", PGC_SUSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the language in which messages are displayed."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&locale_messages,
  		"", locale_messages_assign, NULL
***************
*** 1552,1558 ****
  	{
  		{"lc_monetary", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the locale for formatting monetary amounts."),
! 			NULL
  		},
  		&locale_monetary,
  		"C", locale_monetary_assign, NULL
--- 1586,1592 ----
  	{
  		{"lc_monetary", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the locale for formatting monetary amounts."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&locale_monetary,
  		"C", locale_monetary_assign, NULL
***************
*** 1561,1567 ****
  	{
  		{"lc_numeric", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the locale for formatting numbers."),
! 			NULL
  		},
  		&locale_numeric,
  		"C", locale_numeric_assign, NULL
--- 1595,1601 ----
  	{
  		{"lc_numeric", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the locale for formatting numbers."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&locale_numeric,
  		"C", locale_numeric_assign, NULL
***************
*** 1570,1576 ****
  	{
  		{"lc_time", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the locale for formatting date and time values."),
! 			NULL
  		},
  		&locale_time,
  		"C", locale_time_assign, NULL
--- 1604,1610 ----
  	{
  		{"lc_time", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the locale for formatting date and time values."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&locale_time,
  		"C", locale_time_assign, NULL
***************
*** 1589,1595 ****
  	{
  		{"regex_flavor", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
  			gettext_noop("Sets the regular expression \"flavor\"."),
! 			gettext_noop("This can be set to advanced, extended, or basic.")
  		},
  		&regex_flavor_string,
  		"advanced", assign_regex_flavor, NULL
--- 1623,1630 ----
  	{
  		{"regex_flavor", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
  			gettext_noop("Sets the regular expression \"flavor\"."),
! 		 	gettext_noop("This can be set to advanced, extended, or basic."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&regex_flavor_string,
  		"advanced", assign_regex_flavor, NULL
***************
*** 1654,1660 ****
  		{"syslog_facility", PGC_POSTMASTER, LOGGING_WHERE,
  			gettext_noop("Sets the syslog \"facility\" to be used when syslog enabled."),
  			gettext_noop("Valid values are LOCAL0, LOCAL1, LOCAL2, LOCAL3, "
! 						 "LOCAL4, LOCAL5, LOCAL6, LOCAL7.")
  		},
  		&Syslog_facility,
  		"LOCAL0", assign_facility, NULL
--- 1689,1696 ----
  		{"syslog_facility", PGC_POSTMASTER, LOGGING_WHERE,
  			gettext_noop("Sets the syslog \"facility\" to be used when syslog enabled."),
  			gettext_noop("Valid values are LOCAL0, LOCAL1, LOCAL2, LOCAL3, "
! 						 "LOCAL4, LOCAL5, LOCAL6, LOCAL7."),
! 		 	GUC_EMPTY_FLAGS
  		},
  		&Syslog_facility,
  		"LOCAL0", assign_facility, NULL
***************
*** 1663,1669 ****
  		{"syslog_ident", PGC_POSTMASTER, LOGGING_WHERE,
  			gettext_noop("Sets the program name used to identify PostgreSQL messages "
  						 "in syslog."),
! 			NULL
  		},
  		&Syslog_ident,
  		"postgres", NULL, NULL
--- 1699,1705 ----
  		{"syslog_ident", PGC_POSTMASTER, LOGGING_WHERE,
  			gettext_noop("Sets the program name used to identify PostgreSQL messages "
  						 "in syslog."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&Syslog_ident,
  		"postgres", NULL, NULL
***************
*** 1673,1679 ****
  	{
  		{"TimeZone", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the time zone for displaying and interpreting time stamps."),
! 			NULL
  		},
  		&timezone_string,
  		"UNKNOWN", assign_timezone, show_timezone
--- 1709,1715 ----
  	{
  		{"TimeZone", PGC_USERSET, CLIENT_CONN_LOCALE,
  			gettext_noop("Sets the time zone for displaying and interpreting time stamps."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&timezone_string,
  		"UNKNOWN", assign_timezone, show_timezone
***************
*** 1693,1699 ****
  		{"unix_socket_group", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the owning group of the Unix-domain socket."),
  			gettext_noop("(The owning user of the socket is always the user "
! 						 "that starts the server.)")
  		},
  		&Unix_socket_group,
  		"", NULL, NULL
--- 1729,1736 ----
  		{"unix_socket_group", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the owning group of the Unix-domain socket."),
  			gettext_noop("(The owning user of the socket is always the user "
! 						 "that starts the server.)"),
! 			GUC_EMPTY_FLAGS
  		},
  		&Unix_socket_group,
  		"", NULL, NULL
***************
*** 1702,1708 ****
  	{
  		{"unix_socket_directory", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the directory where the Unix-domain socket will be created."),
! 			NULL
  		},
  		&UnixSocketDir,
  		"", NULL, NULL
--- 1739,1745 ----
  	{
  		{"unix_socket_directory", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the directory where the Unix-domain socket will be created."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&UnixSocketDir,
  		"", NULL, NULL
***************
*** 1711,1717 ****
  	{
  		{"listen_addresses", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the host name or IP addresses to listen to."),
! 			NULL
  		},
  		&ListenAddresses,
  		"localhost", NULL, NULL
--- 1748,1754 ----
  	{
  		{"listen_addresses", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
  			gettext_noop("Sets the host name or IP addresses to listen to."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&ListenAddresses,
  		"localhost", NULL, NULL
***************
*** 1720,1726 ****
  	{
  		{"wal_sync_method", PGC_SIGHUP, WAL_SETTINGS,
  			gettext_noop("Selects the method used for forcing WAL updates out to disk."),
! 			NULL
  		},
  		&XLOG_sync_method,
  		XLOG_sync_method_default, assign_xlog_sync_method, NULL
--- 1757,1763 ----
  	{
  		{"wal_sync_method", PGC_SIGHUP, WAL_SETTINGS,
  			gettext_noop("Selects the method used for forcing WAL updates out to disk."),
! 		 	NULL, GUC_EMPTY_FLAGS
  		},
  		&XLOG_sync_method,
  		XLOG_sync_method_default, assign_xlog_sync_method, NULL
***************
*** 1728,1734 ****
  
  	/* End-of-list marker */
  	{
! 		{NULL, 0, 0, NULL, NULL}, NULL, NULL, NULL, NULL
  	}
  };
  
--- 1765,1771 ----
  
  	/* End-of-list marker */
  	{
! 		{NULL, 0, 0, NULL, NULL, GUC_EMPTY_FLAGS }, NULL, NULL, NULL, NULL
  	}
  };
  
*** ./src/include/utils/guc_tables.h.orig	Mon Apr  5 12:06:43 2004
--- ./src/include/utils/guc_tables.h	Sun Apr 18 10:43:09 2004
***************
*** 91,96 ****
--- 91,97 ----
  };
  
  /* bit values in flags field */
+ #define GUC_EMPTY_FLAGS			0x0000  /* explicit no flag default */
  #define GUC_LIST_INPUT			0x0001	/* input can be list format */
  #define GUC_LIST_QUOTE			0x0002	/* double-quote list elements */
  #define GUC_NO_SHOW_ALL			0x0004	/* exclude from SHOW ALL */
